Bug 3009 - build error on sinix: off64_t unknown
build error on sinix: off64_t unknown
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
2.6.5
Other other
: P3 trivial
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-17 07:59 UTC by Bernhard Voelker
Modified: 2006-03-12 02:56 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Voelker 2005-08-17 07:59:19 UTC
Hello,

I tried to build version 2.6.6 on one of my Sinix machines which resulted in
the following compile error:

  syscall.c:247:  identifier "off64_t" is undefined

<snip file="syscall.c" line-start="244">
  OFF_T do_lseek(int fd, OFF_T offset, int whence)
  {
  #ifdef HAVE_LSEEK64
      off64_t lseek64();
      return lseek64(fd, offset, whence);
  #else
      return lseek(fd, offset, whence);
  #endif
  }
</snip>


<snip file="config.log">
  This file contains any messages produced by compilers while
  running configure, to aid debugging if configure makes a mistake.

  It was created by configure, which was
  generated by GNU Autoconf 2.59.  Invocation command line was

    $ configure --prefix=/home/xps/xpsprod/berny --with-rsync-path=./rsync

  ## --------- ##
  ## Platform. ##
  ## --------- ##

  hostname = lux09034
  uname -m = RM600
  uname -r = 5.45
  uname -s = SINIX-Y
  uname -v = B2005

  /usr/bin/uname -p = R4000
  /bin/uname -X     = unknown

  /bin/arch              = unknown
  /usr/bin/arch -k       = unknown
  /usr/convex/getsysinfo = unknown
  hostinfo               = unknown
  /bin/machine           = unknown
  /usr/bin/oslevel       = unknown
  /bin/universe          = unknown

...

  configure:7183: checking for off64_t
  configure:7207: cc -c -g -DHAVE_CONFIG_H  conftest.c >&5
  conftest.c    99: [error]:   CFE1020 identifier "off64_t" is undefined
    if ((off64_t *) 0)
         ^
...

  ac_cv_func_lseek64=yes
...

  ac_cv_sizeof_off64_t=0
</snip>


Replacing "off64_t" at syscall.c:247 seemed to work.

Have a nice day,
Berny
Comment 1 Wayne Davison 2005-09-03 09:56:51 UTC
I just committed a change to CVS that should fix this.  Thanks for the report!